> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Biller Items

> Get available items/packages for a specific biller and category



## OpenAPI

````yaml api-reference/vaas-services-openapi.json GET /vaas/api/v1/biller-reseller/billers/{biller_id}/items
openapi: 3.1.0
info:
  title: PayVessel Value-Added Services API
  description: >-
    API reference for PayVessel biller reseller, eSIM, gift card, and flight
    services.
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - apiKey: []
    apiSecret: []
paths:
  /vaas/api/v1/biller-reseller/billers/{biller_id}/items:
    get:
      tags:
        - Biller Reseller
        - Biller Reseller
      summary: Get Biller Items
      description: Get available items/packages for a specific biller
      operationId: >-
        get_biller_items_vaas_api_v1_biller_reseller_billers__biller_id__items_get
      parameters:
        - name: biller_id
          in: path
          required: true
          schema:
            type: string
            maxLength: 64
            title: Biller Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetItemsResponseSchema'
        '404':
          description: Biller not found
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                  data:
                    type: 'null'
                  timestamp:
                    type: string
                    format: date-time
                type: object
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                  data:
                    type: 'null'
                  timestamp:
                    type: string
                    format: date-time
                type: object
components:
  schemas:
    GetItemsResponseSchema:
      properties:
        status:
          type: boolean
          title: Status
        message:
          type: string
          title: Message
        data:
          items:
            $ref: '#/components/schemas/ItemSchema'
          type: array
          title: Data
      type: object
      required:
        - status
        - message
        - data
      title: GetItemsResponseSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ItemSchema:
      properties:
        biller_id:
          type: string
          title: Biller Id
        item_id:
          type: string
          title: Item Id
        item_name:
          type: string
          title: Item Name
        amount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Amount
        min_amount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Min Amount
        max_amount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Amount
        is_fixed_amount:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Fixed Amount
        ext_info:
          anyOf:
            - $ref: '#/components/schemas/ItemExtInfoSchema'
            - type: 'null'
      type: object
      required:
        - biller_id
        - item_id
        - item_name
      title: ItemSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ItemExtInfoSchema:
      properties:
        validity_date:
          anyOf:
            - type: integer
            - type: 'null'
          title: Validity Date
        item_size:
          anyOf:
            - type: string
            - type: 'null'
          title: Item Size
        item_description:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Item Description
      type: object
      title: ItemExtInfoSchema
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: api-key
      description: Your PayVessel business API key.
    apiSecret:
      type: apiKey
      in: header
      name: api-secret
      description: Your PayVessel business API secret.

````